Skip to main content

Get all messages

Returns first N messages specified by the size parameter with page offset specified by page parameter, narrowed down by startDate and endDate, filter and search parameters.

Query Parameters
page int32

Zero-based page index.

size int32

The size of the page to be returned.

sort string[]

Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

startDate string — REQUIRED

startDate (yyyy-MM-dd)

endDate string — REQUIRED

endDate (yyyy-MM-dd)

type string — REQUIRED

Type GAS/SENT

search string

Search query

filters string

Filter

Header Parameters
X-Tenant-ID — REQUIRED
Responses
200

OK

Schema — OPTIONAL
content object[] — OPTIONAL
contractReference string — OPTIONAL
creationTime string — OPTIONAL
direction string — OPTIONAL

Possible values: [RECEIVED, SENT]

documentIdentifier string — OPTIONAL
documentName string — OPTIONAL
documentType string — OPTIONAL
documentVersion int32 — OPTIONAL
ediGasVersion string — OPTIONAL
fipDatCreated string — OPTIONAL
fipDate string — OPTIONAL
fipUser string — OPTIONAL
fipUserCreated string — OPTIONAL
fipVersion int64 — OPTIONAL

The version of the object used for optimistic locking, must be not null for update, but null for insert.

gasDate string — OPTIONAL
id int64 — OPTIONAL

The id of the object, must be not null for update, but null for insert.

internalAccountName string — OPTIONAL
issuerMarketParticipant string — OPTIONAL
messageDefinitionDescription string — OPTIONAL
messageStatus string — OPTIONAL

Possible values: [ACKNOWLEDGED, ACKNOWLEDGED_ERROR, FAILURE, INITIAL, MISMATCHED, MISMATCHED_PARTIAL, NOMINATED, PENDING, RECEIVED, RECEIVED_PROCESSED_ERROR, SAVED, SAVED_EXCLUDED, SAVED_RENOMINATION, SENT, UNSENT, ZERO_NOMINATION]

recipient string — OPTIONAL
recipientMarketParticipant string — OPTIONAL
replyMessages (circular)[] — OPTIONAL
sendTime string — OPTIONAL
sender string — OPTIONAL
empty boolean — OPTIONAL
first boolean — OPTIONAL
last boolean — OPTIONAL
number int32 — OPTIONAL
numberOfElements int32 — OPTIONAL
pageable object — OPTIONAL
offset int64 — OPTIONAL
pageNumber int32 — OPTIONAL
pageSize int32 — OPTIONAL
paged boolean — OPTIONAL
sort object — OPTIONAL
empty boolean — OPTIONAL
sorted boolean — OPTIONAL
unsorted boolean — OPTIONAL
unpaged boolean — OPTIONAL
size int32 — OPTIONAL
sort object — OPTIONAL
empty boolean — OPTIONAL
sorted boolean — OPTIONAL
unsorted boolean — OPTIONAL
totalElements int64 — OPTIONAL
totalPages int32 — OPTIONAL
401

Unauthorized

403

Forbidden

404

Not Found